import { ChtmlFontData, ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData, DelimiterMap, CharMapMap } from 'mathjax-full/cjs/output/chtml/FontData.js';
import { StringMap } from 'mathjax-full/cjs/output/common/Wrapper.js';
declare const Base: import("mathjax-full/cjs/output/common/FontData.js").FontDataClass<ChtmlCharOptions, ChtmlVariantData, ChtmlDelimiterData> & typeof ChtmlFontData;
export declare class MathJaxDejavuFont extends Base {
    static NAME: string;
    static OPTIONS: {
        fontURL: string;
        dynamicPrefix: string;
    };
    protected static defaultCssFamilyPrefix: string;
    protected static defaultVariantLetters: StringMap;
    protected static defaultDelimiters: DelimiterMap<ChtmlDelimiterData>;
    protected static defaultChars: CharMapMap<ChtmlCharOptions>;
    protected static defaultStyles: {
        '.GDV-N': {
            'font-family': string;
        };
        '.GDV-B': {
            'font-family': string;
        };
        '.GDV-I': {
            'font-family': string;
        };
        '.GDV-BI': {
            'font-family': string;
        };
        '.GDV-DS': {
            'font-family': string;
        };
        '.GDV-F': {
            'font-family': string;
        };
        '.GDV-FB': {
            'font-family': string;
        };
        '.GDV-S': {
            'font-family': string;
        };
        '.GDV-SB': {
            'font-family': string;
        };
        '.GDV-SS': {
            'font-family': string;
        };
        '.GDV-SSB': {
            'font-family': string;
        };
        '.GDV-SSI': {
            'font-family': string;
        };
        '.GDV-SSBI': {
            'font-family': string;
        };
        '.GDV-M': {
            'font-family': string;
        };
        '.GDV-SO': {
            'font-family': string;
        };
        '.GDV-LO': {
            'font-family': string;
        };
        '.GDV-S3': {
            'font-family': string;
        };
        '.GDV-S4': {
            'font-family': string;
        };
        '.GDV-S5': {
            'font-family': string;
        };
        '.GDV-S6': {
            'font-family': string;
        };
        '.GDV-C': {
            'font-family': string;
        };
        '.GDV-CB': {
            'font-family': string;
        };
        '.GDV-V': {
            'font-family': string;
        };
        '.GDV-LT': {
            'font-family': string;
        };
        '.GDV-RB': {
            'font-family': string;
        };
        '.GDV-EM': {
            'font-family': string;
        };
    };
    protected static defaultFonts: {
        '@font-face /* MJX-GDV-ZERO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-BRK */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-N */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-B */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-I */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-BI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-DS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-F */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-FB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-S */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SS */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SSB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SSI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SSBI */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-M */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-SO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-LO */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-S3 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-S4 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-S5 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-S6 */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-C */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-CB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-V */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-LT */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-RB */': {
            'font-family': string;
            src: string;
        };
        '@font-face /* MJX-GDV-EM */': {
            'font-family': string;
            src: string;
        };
    };
    protected static dynamicFiles: import("mathjax-full/cjs/output/common/FontData.js").DynamicFileList;
    cssFontPrefix: string;
}
export {};
